Develop and Download Open Source Software

Browse CVS Repository

Diff of /freewnn/FreeWnn/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph | View Patch Patch

revision 1.38 by aonoto, Tue Mar 7 17:15:33 2006 UTC revision 1.39 by aonoto, Sun Jun 18 16:49:41 2006 UTC
# Line 1008  Optional Features: Line 1008  Optional Features:
1008    --enable-libraries      build and install libraries [default=yes]    --enable-libraries      build and install libraries [default=yes]
1009    --enable-server         build and install server [default=yes]    --enable-server         build and install server [default=yes]
1010    --enable-client         build and install clients [default=no]    --enable-client         build and install clients [default=no]
1011      --enable-client-utmp    write utmp with client [default=yes if not modern BSD]
1012    --enable-Wnn            build and install Wnn [default=yes]    --enable-Wnn            build and install Wnn [default=yes]
1013    --enable-cWnn           build and install cWnn [default=yes]    --enable-cWnn           build and install cWnn [default=yes]
1014    --enable-kWnn           build and install kWnn [default=yes]    --enable-kWnn           build and install kWnn [default=yes]
# Line 1550  else Line 1551  else
1551    client=false    client=false
1552  fi;  fi;
1553    
1554    # Check whether --enable-client-utmp or --disable-client-utmp was given.
1555    if test "${enable_client_utmp+set}" = set; then
1556      enableval="$enable_client_utmp"
1557      case "${enableval}" in
1558       yes) client_utmp=true ;;
1559       no)  client_utmp=false ;;
1560       *)   { { echo "$as_me:$LINENO: error: bad value for --enable-client-utmp" >&5
1561    echo "$as_me: error: bad value for --enable-client-utmp" >&2;}
1562       { (exit 1); exit 1; }; } ;;
1563    esac
1564    else
1565      client_utmp=auto
1566    
1567    fi;
1568    
1569  if test $libraries = true; then  if test $libraries = true; then
1570          SUBDIRS="\$(LIB_SUBDIRS)"          SUBDIRS="\$(LIB_SUBDIRS)"
1571          WNNMANDIR="\$(LIB_WNNMANDIR)"          WNNMANDIR="\$(LIB_WNNMANDIR)"
# Line 2597  esac Line 2613  esac
2613    
2614  if test $debug = true; then  if test $debug = true; then
2615      if test $GCC = yes; then      if test $GCC = yes; then
2616        CDEBUGFLAGS=${CDEBUGFLAGS:-"-g2 -O2 -Wall -fstack-check"}        # FIXME: gcc -fstack-check doesn't work well on Linux/i386 ...
2617          CDEBUGFLAGS=${CDEBUGFLAGS:-"-g2 -O2 -Wall"}
2618      else      else
2619        CDEBUGFLAGS=${CDEBUGFLAGS:-""}        CDEBUGFLAGS=${CDEBUGFLAGS:-""}
2620      fi      fi
# Line 3492  ia64-*-hpux*) Line 3509  ia64-*-hpux*)
3509    ;;    ;;
3510  *-*-irix6*)  *-*-irix6*)
3511    # Find out which ABI we are using.    # Find out which ABI we are using.
3512    echo '#line 3495 "configure"' > conftest.$ac_ext    echo '#line 3512 "configure"' > conftest.$ac_ext
3513    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3514    (eval $ac_compile) 2>&5    (eval $ac_compile) 2>&5
3515    ac_status=$?    ac_status=$?
# Line 4570  fi Line 4587  fi
4587    
4588    
4589  # Provide some information about the compiler.  # Provide some information about the compiler.
4590  echo "$as_me:4573:" \  echo "$as_me:4590:" \
4591       "checking for Fortran 77 compiler version" >&5       "checking for Fortran 77 compiler version" >&5
4592  ac_compiler=`set X $ac_compile; echo $2`  ac_compiler=`set X $ac_compile; echo $2`
4593  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5  { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 5573  else Line 5590  else
5590     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5591     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5592     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5593     (eval echo "\"\$as_me:5576: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5593: $lt_compile\"" >&5)
5594     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
5595     ac_status=$?     ac_status=$?
5596     cat conftest.err >&5     cat conftest.err >&5
5597     echo "$as_me:5580: \$? = $ac_status" >&5     echo "$as_me:5597: \$? = $ac_status" >&5
5598     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
5599       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
5600       # So say no if there are warnings       # So say no if there are warnings
# Line 5805  else Line 5822  else
5822     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5823     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5824     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5825     (eval echo "\"\$as_me:5808: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5825: $lt_compile\"" >&5)
5826     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
5827     ac_status=$?     ac_status=$?
5828     cat conftest.err >&5     cat conftest.err >&5
5829     echo "$as_me:5812: \$? = $ac_status" >&5     echo "$as_me:5829: \$? = $ac_status" >&5
5830     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
5831       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
5832       # So say no if there are warnings       # So say no if there are warnings
# Line 5872  else Line 5889  else
5889     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
5890     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
5891     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
5892     (eval echo "\"\$as_me:5875: $lt_compile\"" >&5)     (eval echo "\"\$as_me:5892: $lt_compile\"" >&5)
5893     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
5894     ac_status=$?     ac_status=$?
5895     cat out/conftest.err >&5     cat out/conftest.err >&5
5896     echo "$as_me:5879: \$? = $ac_status" >&5     echo "$as_me:5896: \$? = $ac_status" >&5
5897     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
5898     then     then
5899       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 7875  else Line 7892  else
7892    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7893    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
7894    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
7895  #line 7878 "configure"  #line 7895 "configure"
7896  #include "confdefs.h"  #include "confdefs.h"
7897    
7898  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 7973  else Line 7990  else
7990    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7991    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
7992    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
7993  #line 7976 "configure"  #line 7993 "configure"
7994  #include "confdefs.h"  #include "confdefs.h"
7995    
7996  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 10107  else Line 10124  else
10124     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
10125     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
10126     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
10127     (eval echo "\"\$as_me:10110: $lt_compile\"" >&5)     (eval echo "\"\$as_me:10127: $lt_compile\"" >&5)
10128     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
10129     ac_status=$?     ac_status=$?
10130     cat conftest.err >&5     cat conftest.err >&5
10131     echo "$as_me:10114: \$? = $ac_status" >&5     echo "$as_me:10131: \$? = $ac_status" >&5
10132     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
10133       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
10134       # So say no if there are warnings       # So say no if there are warnings
# Line 10174  else Line 10191  else
10191     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
10192     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
10193     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
10194     (eval echo "\"\$as_me:10177: $lt_compile\"" >&5)     (eval echo "\"\$as_me:10194: $lt_compile\"" >&5)
10195     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
10196     ac_status=$?     ac_status=$?
10197     cat out/conftest.err >&5     cat out/conftest.err >&5
10198     echo "$as_me:10181: \$? = $ac_status" >&5     echo "$as_me:10198: \$? = $ac_status" >&5
10199     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
10200     then     then
10201       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 11406  else Line 11423  else
11423    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
11424    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
11425    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
11426  #line 11409 "configure"  #line 11426 "configure"
11427  #include "confdefs.h"  #include "confdefs.h"
11428    
11429  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 11504  else Line 11521  else
11521    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
11522    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
11523    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
11524  #line 11507 "configure"  #line 11524 "configure"
11525  #include "confdefs.h"  #include "confdefs.h"
11526    
11527  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 12326  else Line 12343  else
12343     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
12344     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12345     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
12346     (eval echo "\"\$as_me:12329: $lt_compile\"" >&5)     (eval echo "\"\$as_me:12346: $lt_compile\"" >&5)
12347     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
12348     ac_status=$?     ac_status=$?
12349     cat conftest.err >&5     cat conftest.err >&5
12350     echo "$as_me:12333: \$? = $ac_status" >&5     echo "$as_me:12350: \$? = $ac_status" >&5
12351     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
12352       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
12353       # So say no if there are warnings       # So say no if there are warnings
# Line 12393  else Line 12410  else
12410     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
12411     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12412     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
12413     (eval echo "\"\$as_me:12396: $lt_compile\"" >&5)     (eval echo "\"\$as_me:12413: $lt_compile\"" >&5)
12414     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
12415     ac_status=$?     ac_status=$?
12416     cat out/conftest.err >&5     cat out/conftest.err >&5
12417     echo "$as_me:12400: \$? = $ac_status" >&5     echo "$as_me:12417: \$? = $ac_status" >&5
12418     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
12419     then     then
12420       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 14331  else Line 14348  else
14348     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
14349     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14350     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
14351     (eval echo "\"\$as_me:14334: $lt_compile\"" >&5)     (eval echo "\"\$as_me:14351: $lt_compile\"" >&5)
14352     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
14353     ac_status=$?     ac_status=$?
14354     cat conftest.err >&5     cat conftest.err >&5
14355     echo "$as_me:14338: \$? = $ac_status" >&5     echo "$as_me:14355: \$? = $ac_status" >&5
14356     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
14357       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
14358       # So say no if there are warnings       # So say no if there are warnings
# Line 14563  else Line 14580  else
14580     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
14581     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14582     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
14583     (eval echo "\"\$as_me:14566: $lt_compile\"" >&5)     (eval echo "\"\$as_me:14583: $lt_compile\"" >&5)
14584     (eval "$lt_compile" 2>conftest.err)     (eval "$lt_compile" 2>conftest.err)
14585     ac_status=$?     ac_status=$?
14586     cat conftest.err >&5     cat conftest.err >&5
14587     echo "$as_me:14570: \$? = $ac_status" >&5     echo "$as_me:14587: \$? = $ac_status" >&5
14588     if (exit $ac_status) && test -s "$ac_outfile"; then     if (exit $ac_status) && test -s "$ac_outfile"; then
14589       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
14590       # So say no if there are warnings       # So say no if there are warnings
# Line 14630  else Line 14647  else
14647     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \     -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
14648     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14649     -e 's:$: $lt_compiler_flag:'`     -e 's:$: $lt_compiler_flag:'`
14650     (eval echo "\"\$as_me:14633: $lt_compile\"" >&5)     (eval echo "\"\$as_me:14650: $lt_compile\"" >&5)
14651     (eval "$lt_compile" 2>out/conftest.err)     (eval "$lt_compile" 2>out/conftest.err)
14652     ac_status=$?     ac_status=$?
14653     cat out/conftest.err >&5     cat out/conftest.err >&5
14654     echo "$as_me:14637: \$? = $ac_status" >&5     echo "$as_me:14654: \$? = $ac_status" >&5
14655     if (exit $ac_status) && test -s out/conftest2.$ac_objext     if (exit $ac_status) && test -s out/conftest2.$ac_objext
14656     then     then
14657       # The compiler can only warn and ignore the option if not recognized       # The compiler can only warn and ignore the option if not recognized
# Line 16633  else Line 16650  else
16650    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
16651    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
16652    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
16653  #line 16636 "configure"  #line 16653 "configure"
16654  #include "confdefs.h"  #include "confdefs.h"
16655    
16656  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 16731  else Line 16748  else
16748    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
16749    lt_status=$lt_dlunknown    lt_status=$lt_dlunknown
16750    cat > conftest.$ac_ext <<EOF    cat > conftest.$ac_ext <<EOF
16751  #line 16734 "configure"  #line 16751 "configure"
16752  #include "confdefs.h"  #include "confdefs.h"
16753    
16754  #if HAVE_DLFCN_H  #if HAVE_DLFCN_H
# Line 18730  done Line 18747  done
18747    
18748    
18749  olibs="$LIBS"  olibs="$LIBS"
18750    CNVFILE_SUBDIR=bsd
18751  echo "$as_me:$LINENO: checking --with-term-libs argument" >&5  echo "$as_me:$LINENO: checking --with-term-libs argument" >&5
18752  echo $ECHO_N "checking --with-term-libs argument... $ECHO_C" >&6  echo $ECHO_N "checking --with-term-libs argument... $ECHO_C" >&6
18753    
# Line 18917  LIBS=${olibs} Line 18935  LIBS=${olibs}
18935    
18936    
18937    
18938    if test $client = true; then
18939      if test $client_utmp = auto; then
18940        cat >conftest.$ac_ext <<_ACEOF
18941    #line $LINENO "configure"
18942    #include "confdefs.h"
18943    
18944    #if HAVE_SYS_PARAM_H
18945    # include <sys/param.h>
18946    #endif
18947    #if defined(BSD) && (BSD >= 199306)
18948       yes
18949    #endif
18950    
18951    _ACEOF
18952    if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
18953      egrep "yes" >/dev/null 2>&1; then
18954      client_utmp=false
18955    else
18956      client_utmp=true
18957    fi
18958    rm -f conftest*
18959    
18960      fi
18961    
18962        echo "$as_me:$LINENO: checking whether we're using utmp with uum" >&5
18963    echo $ECHO_N "checking whether we're using utmp with uum... $ECHO_C" >&6
18964      if test $client_utmp = true; then
18965    
18966    cat >>confdefs.h <<\_ACEOF
18967    #define USE_UTMP 1
18968    _ACEOF
18969    
18970        echo "$as_me:$LINENO: result: yes" >&5
18971    echo "${ECHO_T}yes" >&6
18972      else
18973        echo "$as_me:$LINENO: result: no" >&5
18974    echo "${ECHO_T}no" >&6
18975      fi
18976    fi
18977    
18978  echo "$as_me:$LINENO: checking for mode_t" >&5  echo "$as_me:$LINENO: checking for mode_t" >&5
18979  echo $ECHO_N "checking for mode_t... $ECHO_C" >&6  echo $ECHO_N "checking for mode_t... $ECHO_C" >&6
# Line 19103  _ACEOF Line 19160  _ACEOF
19160  fi  fi
19161    
19162    
19163    echo "$as_me:$LINENO: checking for struct utmp.ut_user" >&5
19164    echo $ECHO_N "checking for struct utmp.ut_user... $ECHO_C" >&6
19165    if test "${ac_cv_member_struct_utmp_ut_user+set}" = set; then
19166      echo $ECHO_N "(cached) $ECHO_C" >&6
19167    else
19168      cat >conftest.$ac_ext <<_ACEOF
19169    #line $LINENO "configure"
19170    #include "confdefs.h"
19171    
19172    #include <sys/types.h>
19173    #if HAVE_UTMPX_H
19174    #  include <utmpx.h>
19175    #endif
19176    #if HAVE_UTMP_H
19177    #  include <utmp.h>
19178    #endif
19179    
19180    #ifdef F77_DUMMY_MAIN
19181    #  ifdef __cplusplus
19182         extern "C"
19183    #  endif
19184       int F77_DUMMY_MAIN() { return 1; }
19185    #endif
19186    int
19187    main ()
19188    {
19189    static struct utmp ac_aggr;
19190    if (ac_aggr.ut_user)
19191    return 0;
19192      ;
19193      return 0;
19194    }
19195    _ACEOF
19196    rm -f conftest.$ac_objext
19197    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
19198      (eval $ac_compile) 2>&5
19199      ac_status=$?
19200      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19201      (exit $ac_status); } &&
19202             { ac_try='test -s conftest.$ac_objext'
19203      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19204      (eval $ac_try) 2>&5
19205      ac_status=$?
19206      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19207      (exit $ac_status); }; }; then
19208      ac_cv_member_struct_utmp_ut_user=yes
19209    else
19210      echo "$as_me: failed program was:" >&5
19211    cat conftest.$ac_ext >&5
19212    ac_cv_member_struct_utmp_ut_user=no
19213    fi
19214    rm -f conftest.$ac_objext conftest.$ac_ext
19215    fi
19216    echo "$as_me:$LINENO: result: $ac_cv_member_struct_utmp_ut_user" >&5
19217    echo "${ECHO_T}$ac_cv_member_struct_utmp_ut_user" >&6
19218    if test $ac_cv_member_struct_utmp_ut_user = yes; then
19219    
19220    cat >>confdefs.h <<_ACEOF
19221    #define HAVE_STRUCT_UTMP_UT_USER 1
19222    _ACEOF
19223    
19224    
19225    fi
19226    echo "$as_me:$LINENO: checking for struct utmp.ut_name" >&5
19227    echo $ECHO_N "checking for struct utmp.ut_name... $ECHO_C" >&6
19228    if test "${ac_cv_member_struct_utmp_ut_name+set}" = set; then
19229      echo $ECHO_N "(cached) $ECHO_C" >&6
19230    else
19231      cat >conftest.$ac_ext <<_ACEOF
19232    #line $LINENO "configure"
19233    #include "confdefs.h"
19234    
19235    #include <sys/types.h>
19236    #if HAVE_UTMPX_H
19237    #  include <utmpx.h>
19238    #endif
19239    #if HAVE_UTMP_H
19240    #  include <utmp.h>
19241    #endif
19242    
19243    #ifdef F77_DUMMY_MAIN
19244    #  ifdef __cplusplus
19245         extern "C"
19246    #  endif
19247       int F77_DUMMY_MAIN() { return 1; }
19248    #endif
19249    int
19250    main ()
19251    {
19252    static struct utmp ac_aggr;
19253    if (ac_aggr.ut_name)
19254    return 0;
19255      ;
19256      return 0;
19257    }
19258    _ACEOF
19259    rm -f conftest.$ac_objext
19260    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
19261      (eval $ac_compile) 2>&5
19262      ac_status=$?
19263      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19264      (exit $ac_status); } &&
19265             { ac_try='test -s conftest.$ac_objext'
19266      { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
19267      (eval $ac_try) 2>&5
19268      ac_status=$?
19269      echo "$as_me:$LINENO: \$? = $ac_status" >&5
19270      (exit $ac_status); }; }; then
19271      ac_cv_member_struct_utmp_ut_name=yes
19272    else
19273      echo "$as_me: failed program was:" >&5
19274    cat conftest.$ac_ext >&5
19275    ac_cv_member_struct_utmp_ut_name=no
19276    fi
19277    rm -f conftest.$ac_objext conftest.$ac_ext
19278    fi
19279    echo "$as_me:$LINENO: result: $ac_cv_member_struct_utmp_ut_name" >&5
19280    echo "${ECHO_T}$ac_cv_member_struct_utmp_ut_name" >&6
19281    if test $ac_cv_member_struct_utmp_ut_name = yes; then
19282    
19283    cat >>confdefs.h <<_ACEOF
19284    #define HAVE_STRUCT_UTMP_UT_NAME 1
19285    _ACEOF
19286    
19287    
19288    fi
19289    
19290    
19291    
19292  if test $ac_cv_c_compiler_gnu = yes; then  if test $ac_cv_c_compiler_gnu = yes; then
19293      echo "$as_me:$LINENO: checking whether $CC needs -traditional" >&5      echo "$as_me:$LINENO: checking whether $CC needs -traditional" >&5
# Line 19516  fi Line 19701  fi
19701    
19702    
19703    
19704    
19705    
19706  for ac_func in random drand48 fchmod getopt killpg \  for ac_func in random drand48 fchmod getopt killpg \
19707          FD_SET \          FD_SET \
19708          gethostname select socket closesocket setsockopt send recv \          gethostname select socket closesocket setsockopt send recv \
19709          getdtablesize getrlimit syslog vsyslog setenv snprintf \          getdtablesize getrlimit syslog vsyslog setenv snprintf \
19710          ptsname openpty          ptsname openpty pututxline pututline
19711  do  do
19712  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`  as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
19713  echo "$as_me:$LINENO: checking for $ac_func" >&5  echo "$as_me:$LINENO: checking for $ac_func" >&5

Legend:
Removed from v.1.38  
changed lines
  Added in v.1.39

Back to OSDN">Back to OSDN
ViewVC Help
Powered by ViewVC 1.1.26